Bug 203234 - no navigation to hot spot results of operators of full remote project
no navigation to hot spot results of operators of full remote project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Profile
7.0.1
PC Solaris
: P2 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 13:21 UTC by Alexander Simon
Modified: 2011-10-11 11:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
patch for 7.0.1 (8.27 KB, patch)
2011-10-06 14:15 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-10-06 13:21:31 UTC
Steps to reproduce:
- create full remote fractal sample with OSS tool colection
- run project
- click on hot spots
Actual behavior:
following entries without links:
- std::complex<long double>&std::complex<long double>::operator*=(const std::complex<long double>&)
- int*Matrix<int>::operator[](unsigned)
Expected behavior:
entries navigate to "complex" header and "fractal.cc" to operators definitions
Comment 1 Alexander Simon 2011-10-06 14:15:27 UTC
Created attachment 111605 [details]
patch for 7.0.1
Comment 2 Alexander Simon 2011-10-06 14:17:28 UTC
Andrew, please:
- evaluate fix for 701 patch candidate
- review fix
Comment 3 Andrew Krasny 2011-10-06 14:36:49 UTC
FunctionImpl.java should be returned to original state.

Besides that fix looks safe and correct.

Also I think this fix should be integrated into patch2.
Comment 4 Alexander Simon 2011-10-06 14:44:41 UTC
integrated in e**f, branch release701_fixes, change set:
204892:d9585116b661
Comment 5 Alexander Pepin 2011-10-06 18:16:41 UTC
Checked in oss dev build #3383 in DD on Windows
navigation to operators works with DTrace Extended profiler and DOES_NOT work with OSS Standard profiler.
Comment 6 Alexander Pepin 2011-10-07 11:01:50 UTC
verified in oss dev build #3385 in DD on Windows
Comment 7 Vladimir Voskresensky 2011-10-07 13:33:04 UTC
integrated
http://hg.netbeans.org/releases/rev/d9585116b661
Comment 8 Quality Engineering 2011-10-07 17:36:25 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d9585116b661
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #203234 no navigation to hot spot results of operators of full remote project
Comment 9 soldatov 2011-10-11 11:21:48 UTC
Verified in Oracle Solaris Studio 12.3 (2011/10/10)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo